Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 467877 - Use of runuser might be preferred to su -
Summary: Use of runuser might be preferred to su -
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-10-21 13:59 UTC by Michael Mráka
Modified: 2009-01-22 16:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:30:07 UTC


Attachments (Terms of Use)

Description Michael Mráka 2008-10-21 13:59:25 UTC
+++ This bug was initially created as a clone of Bug #460547 +++

While investigating RHEL 4.5 setup for bug 391771, I came across su - oracle not working for account which was not active.

I asked the PAM maintainer about the problem and in the course of conversation, he mentioned that for automated root -> user execution in scripts, runuser is preferred to su -.

I wonder if we want to check our code and do a mass move from su - to runuser.

Comment 1 Michael Mráka 2008-10-23 08:56:56 UTC
Fixed in git, commits 74cfd061509a505f4d6ea96747d867f384d184da..e343f683abf829198f68934f620ad06e


commit e343f683abf829198f68934f620ad03c9d9bd06e
    Automatic commit of package [spacewalk-search] release [0.3.3-1].
commit 9cba3d453e1b9be8a935f6a9377c1c02d3f1d643
    467877 - modified %changelog entry
commit 3bee62ba1ccb7c0de624caac3942233d8dbe89b0
    467877 - use runuser instead of su
commit 2bb23925f0c1cff3bdb73bd82febf2037bd05136
    Automatic commit of package [spacewalk-setup] release [0.3.6-1].
commit b44bb2fb22d5ba582560f67f47c682455e65ac50
    467877 - modified %changelog entry
commit cf36116353462215ccf2a0a3cedb5177588ccf46
    467877 - use runuser instead of su
commit bd6e1e1f8687fd7865cfba28999f4d404e3768fb
    Automatic commit of package [tsdb] release [1.27.16-1].
commit 6f3fe8d02ce2da0c0afff7e7456317da9d6d9822
    467877 - modified %changelog entry
commit 9155bd4e499c357ee0fdcd24d619c6a812a22681
    Automatic commit of package [rhnmd] release [5.1.1-1].
commit c914d34db33468187ad5117c3e4cc181b7cdbe9e
    add Makefile
commit 3a9f2dffd3499d752e81273b82daec2fcc71a134
    467877 - modified %changelog entry
commit de887eb22824f8fbb8c41f7a70b103ffba4497d3
    467877 - use runuser instead of su
commit e3725c710425e5ae971f385b9fd0ae0052c11c0c
    Automatic commit of package [spacewalk-java] release [0.3.3-1].
commit 8ade617a3a6cdc128581e204277a3199c37d28be
    467877 - modified %changelog entry
commit 0528b111bcbfd29a9d7c913372df9ffa7ff95deb
    467877 - use runuser instead of su
commit f96431236f05d097e3d182b116a759115bb9fdac
    merging to overcome spacewalk-web-0.3.2-1 tag problem
commit 4b2a8ecc314371c5a7f1e012d1dc362e48873c26
    Automatic commit of package [spacewalk-web] release [0.3.2-1].
commit d1c15b5dad9c9883ac9b351687bd914cb07a8268
    467877 - modified %changelog entry
commit a017d4a705cf5ce89ea3c17df413390b274606a5
    Automatic commit of package [spacewalk-web] release [0.3.2-1].
commit c66fbfc95eb747fd23d7f18b07934dc2b9ac651e
    467877 - modified %changelog entry
commit 4ec2291e6045bd12d5cf22a7b900d06f866ccd42
    467877 - use runuser instead of su

Comment 2 Miroslav Suchý 2009-01-15 12:34:59 UTC
VERIFIED


Note You need to log in before you can comment on or make changes to this bug.